/* eslint-disable react/prop-types */
import { useState } from "react";

const Card = ({ onDelete, onSave, id }) => {
  const [content, setContent] = useState("");

  const handleSave = () => {
    onSave(id, content);
  };

  return (
    <div className="max-w-xs rounded-lg border border-gray-200 bg-yellow-200 shadow-md transform transition duration-700 p-10">
      <div>
        <textarea
          value={content}
          onChange={(e) => setContent(e.target.value)}
          placeholder="Write your note here..."
          className="flex items-center bg-yellow-200 rounded focus:outline-0 w-full p-2 placeholder-black"
        ></textarea>
      </div>
      <div className="p-4">
        <div className="flex justify-between gap-4">
          <button
            onClick={handleSave}
            className="flex px-4 py-2 items-center bg-blue-600 text-white text-xs font-bold uppercase rounded hover:bg-blue-500 focus:outline-none mt-4"
          >
            Save Note
          </button>
          <button
            onClick={onDelete}
            className="flex px-4 py-2 items-center bg-red-500 text-white text-xs font-bold uppercase rounded hover:bg-red-400 focus:outline-none mt-4"
          >
            Delete Note
          </button>
        </div>
      </div>
    </div>
  );
};

export default Card;
